Skip to content
Permalink
Browse files

chore(*): release 4.0.0

  • Loading branch information
olOwOlo committed Nov 6, 2018
1 parent 8b549b5 commit b11fe83ad27da925f76d75386557ab2abcd0bd9d
@@ -1,18 +1,51 @@
<a name="4.0.0"></a>
# 4.0.0 (WIP)
# [4.0.0](https://github.com/olOwOlo/hugo-theme-even/compare/v3.2.0...v4.0.0) (2018-11-06)

### BREAKING CHANGES

- Rename params
### Bug Fixes

* **busuanzi:** update busuanzi domain ([51e5aca](https://github.com/olOwOlo/hugo-theme-even/commit/51e5aca)), closes [#104](https://github.com/olOwOlo/hugo-theme-even/issues/104) [#108](https://github.com/olOwOlo/hugo-theme-even/issues/108) [#109](https://github.com/olOwOlo/hugo-theme-even/issues/109)
* **config:** MediaType's Suffix deprecated warning ([#103](https://github.com/olOwOlo/hugo-theme-even/issues/103)) ([b55831b](https://github.com/olOwOlo/hugo-theme-even/commit/b55831b))


### Code Refactoring

* **comment:** remove local js and css files ([f4bcf93](https://github.com/olOwOlo/hugo-theme-even/commit/f4bcf93))
* **param:** camelcase for parameter names ([fcb48d9](https://github.com/olOwOlo/hugo-theme-even/commit/fcb48d9))


### Features

* init admonition & refactor iconfont ([2517f74](https://github.com/olOwOlo/hugo-theme-even/commit/2517f74))
* **highlight:** add support for chroma ([7710103](https://github.com/olOwOlo/hugo-theme-even/commit/7710103))
* **mathjax:** configure to let mathjax use local files ([a3cab1a](https://github.com/olOwOlo/hugo-theme-even/commit/a3cab1a)), closes [#63](https://github.com/olOwOlo/hugo-theme-even/issues/63)
* **scripts:** configure to use local files for flowchart and sequence diagram ([cec9ea9](https://github.com/olOwOlo/hugo-theme-even/commit/cec9ea9)), closes [#76](https://github.com/olOwOlo/hugo-theme-even/issues/76) [#77](https://github.com/olOwOlo/hugo-theme-even/issues/77)
* **style:** dashed hr ([90a17f8](https://github.com/olOwOlo/hugo-theme-even/commit/90a17f8))
* **table:** responsive table ([9d8940b](https://github.com/olOwOlo/hugo-theme-even/commit/9d8940b)), closes [#107](https://github.com/olOwOlo/hugo-theme-even/issues/107)
* **title:** add anchor ([8d39099](https://github.com/olOwOlo/hugo-theme-even/commit/8d39099))


### BREAKING CHANGES

| origin | now |
| :------: |:--------:|
| fancyboxJ**s** | fancyboxJ**S** |
| fancyboxC**ss**| fancyboxC**SS**|
| baidu_push | baidu**P**ush |
| baidu_analytics | baidu**A**nalytics |
| baidu_verification | baidu**V**erification |
| google_verification | google**V**erification |
* **hugo:** Hugo minimum version required "0.50".
* **comment:** Remove local comment js/css files.
* **highlight:** You need add params to enable `chroma` or `highlight.js` since they are disabled by default.
* **param:** Rename parameter names.

| origin | now |
| :------: |:--------:|
| fancyboxJ**s** | fancyboxJ**S** |
| fancyboxC**ss**| fancyboxC**SS**|
| baidu_push | baidu**P**ush |
| baidu_analytics | baidu**A**nalytics |
| baidu_verification | baidu**V**erification |
| google_verification | google**V**erification |

* **version:** Version flag "4.x".

```toml
[params]
version = "4.x" # 3.x -> 4.x
```


<a name="3.2.0"></a>
@@ -1,6 +1,6 @@
{
"even": {
"css": "even.1d48fea5.min.css",
"js": "even.9c524851.min.js"
"css": "even.93844dae.min.css",
"js": "even.ece58db6.min.js"
}
}
@@ -49,7 +49,7 @@ copyright = "" # default: author.name ↓ # 默认为下面配
url = "/categories/"

[params]
version = "3.x" # Used to give a friendly message when you have an incompatible update
version = "4.x" # Used to give a friendly message when you have an incompatible update
debug = false # If true, load `eruda.min.js`. See https://github.com/liriliri/eruda

since = "2017" # Site creation time # 站点建立时间
@@ -1,5 +1,5 @@
{{ if ne .Site.Params.version "3.x" -}}
{{ errorf "\n\nThere are two possible situations that led to this error:\n 1. You haven't copied the config.toml yet. See https://github.com/olOwOlo/hugo-theme-even#installation \n 2. You have an incompatible update. See https://github.com/olOwOlo/hugo-theme-even/blob/master/CHANGELOG.md#300 \n\n有两种可能的情况会导致这个错误发生:\n 1. 你还没有复制 config.toml 参考 https://github.com/olOwOlo/hugo-theme-even/blob/master/README-zh.md#installation \n 2. 你进行了一次不兼容的更新 参考 https://github.com/olOwOlo/hugo-theme-even/blob/master/CHANGELOG.md#300 \n" -}}
{{ if ne .Site.Params.version "4.x" -}}
{{ errorf "\n\nThere are two possible situations that led to this error:\n 1. You haven't copied the config.toml yet. See https://github.com/olOwOlo/hugo-theme-even#installation \n 2. You have an incompatible update. See https://github.com/olOwOlo/hugo-theme-even/blob/master/CHANGELOG.md#400-2018-11-06 \n\n有两种可能的情况会导致这个错误发生:\n 1. 你还没有复制 config.toml 参考 https://github.com/olOwOlo/hugo-theme-even/blob/master/README-zh.md#installation \n 2. 你进行了一次不兼容的更新 参考 https://github.com/olOwOlo/hugo-theme-even/blob/master/CHANGELOG.md#400-2018-11-06 \n" -}}
{{ end -}}
<!DOCTYPE html>
<html lang="{{ .Site.Language }}">

This file was deleted.

This file was deleted.

Large diffs are not rendered by default.

Large diffs are not rendered by default.

This file was deleted.

This file was deleted.

Some generated files are not rendered by default. Learn more.

Large diffs are not rendered by default.

Binary file not shown.

0 comments on commit b11fe83

Please sign in to comment.
You can’t perform that action at this time.